#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['build_harness',
 'build_harness.commands',
 'build_harness.commands.bdd',
 'build_harness.templates.{{cookiecutter.project_name}}.features',
 'build_harness.templates.{{cookiecutter.project_name}}.features.steps',
 'build_harness.templates.{{cookiecutter.project_name}}.tests',
 'build_harness.templates.{{cookiecutter.project_name}}.tests.ci',
 'build_harness.templates.{{cookiecutter.project_name}}.tests.ci.integration_tests',
 'build_harness.templates.{{cookiecutter.project_name}}.tests.ci.unit_tests',
 'build_harness.templates.{{cookiecutter.project_name}}.tests.manual',
 'build_harness.templates.{{cookiecutter.project_name}}.{{cookiecutter.project_name}}',
 'build_harness.tools']

package_data = \
{'': ['*'],
 'build_harness': ['templates/*',
                   'templates/hooks/*',
                   'templates/{{cookiecutter.project_name}}/*']}

install_requires = \
['behave >=1.2.6, <2.0',
 'black >=21.6b0',
 'click >=8.0.1, <9.0',
 'cookiecutter >=1.7.3, <2.0',
 'flake8 >=3.9.2, <4.0',
 'flake8-annotations >=2.6.2, <3.0',
 'flit >=3.2.0, <4.0',
 'gitpython >=3.1.24, <4.0',
 'isort >=5.9.1, <6.0',
 'mypy >=0.910',
 'packaging >=20.9, <21.0',
 'parver >=0.3.1, <1.0',
 'pip >=21.1.3, <22.0',
 'pre_commit >=2.13.0, <3.0',
 'pydantic >=1.8.2, <2.0',
 'pydocstyle >=6.1.1, <7.0',
 'toml >=0.10.2, <1.0',
 'twine >=3.4.1, <4.0',
 'wheel >=0.35.1, <1.0',
 'pygments >=2.9.0, <3.0']

extras_require = \
{'dev': ['mutmut >=2.1.0, <3.0',
         'pipenv >=2021.5.29',
         'types-toml >=0.1.3, <1.0'],
 'doc': ['sphinx >=4.0.2, <5.0', 'sphinx_rtd_theme >=0.5.2, <1.0'],
 'test': ['pytest >=6.2.4, <7.0',
          'pytest-cov >=2.12.1, <3.0',
          'pytest-mock >=3.6.1, <4.0']}

entry_points = \
{'console_scripts': ['build-harness = '
                     'build_harness.entrypoint:build_harness_entry',
                     'publish-flow = '
                     'build_harness.entrypoint:publish_flow_entry',
                     'release-flow = '
                     'build_harness.entrypoint:release_flow_entry']}

setup(name='build_harness',
      version='0.2.1',
      description='CI build harness embodying best practices for Python projects.',
      author='Russell Smiley',
      author_email='im.russell.smiley@gmail.com',
      url='https://gitlab.com/ci-cd-devops/build_harness',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.7',
     )
